<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpPatternSelectButton: GIMP Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Library Reference Manual">
<link rel="up" href="libgimp-selectors.html" title="Controlling the Core's Selection Dialogs">
<link rel="prev" href="GimpPaletteSelectButton.html" title="GimpPaletteSelect">
<link rel="next" href="libgimp-gimpbrushselect.html" title="gimpbrushselect">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpPatternSelectButton.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpPatternSelectButton.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpPatternSelectButton.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpPatternSelectButton.properties" class="shortcut">Properties</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpPatternSelectButton.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimp-selectors.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpPaletteSelectButton.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libgimp-gimpbrushselect.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpPatternSelectButton"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpPatternSelectButton.top_of_page"></a>GimpPatternSelectButton</span></h2>
<p>GimpPatternSelectButton — A button which pops up a pattern select dialog.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpPatternSelectButton.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpPatternSelectButton.html#gimp-pattern-select-button-new" title="gimp_pattern_select_button_new ()">gimp_pattern_select_button_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpPatternSelectButton.html#gimp-pattern-select-button-get-pattern" title="gimp_pattern_select_button_get_pattern ()">gimp_pattern_select_button_get_pattern</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPatternSelectButton.html#gimp-pattern-select-button-set-pattern" title="gimp_pattern_select_button_set_pattern ()">gimp_pattern_select_button_set_pattern</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="GimpPatternSelectButton.html#GimpPatternSelectButton--pattern-name" title="The “pattern-name” property">pattern-name</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="GimpPatternSelectButton.html#GimpPatternSelectButton--title" title="The “title” property">title</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpPatternSelectButton.html#GimpPatternSelectButton-pattern-set" title="The “pattern-set” signal">pattern-set</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpPatternSelectButton.html#GimpPatternSelectButton-struct" title="GimpPatternSelectButton">GimpPatternSelectButton</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> <a class="link" href="GimpSelectButton.html" title="GimpSelectButton">GimpSelectButton</a>
                            <span class="lineart">╰──</span> GimpPatternSelectButton
</pre>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpPatternSelectButton implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.description"></a><h2>Description</h2>
<p>A button which pops up a pattern select dialog.</p>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-pattern-select-button-new"></a><h3>gimp_pattern_select_button_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_pattern_select_button_new (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *title</code></em>,
                                <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *pattern_name</code></em>);</pre>
<p>Creates a new <a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> that completely controls the selection of
a pattern.  This widget is suitable for placement in a table in a
plug-in dialog.</p>
<div class="refsect3">
<a name="gimp-pattern-select-button-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>title</p></td>
<td class="parameter_description"><p>Title of the dialog to use or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> to use the default title.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>pattern_name</p></td>
<td class="parameter_description"><p>Initial pattern name or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> to use current selection.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-pattern-select-button-new.returns"></a><h4>Returns</h4>
<p> A <a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> that you can use in your UI.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-pattern-select-button-get-pattern"></a><h3>gimp_pattern_select_button_get_pattern ()</h3>
<pre class="programlisting">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
gimp_pattern_select_button_get_pattern
                               (<em class="parameter"><code><a class="link" href="GimpPatternSelectButton.html" title="GimpPatternSelectButton"><span class="type">GimpPatternSelectButton</span></a> *button</code></em>);</pre>
<p>Retrieves the name of currently selected pattern.</p>
<div class="refsect3">
<a name="gimp-pattern-select-button-get-pattern.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpPatternSelectButton.html" title="GimpPatternSelectButton"><span class="type">GimpPatternSelectButton</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-pattern-select-button-get-pattern.returns"></a><h4>Returns</h4>
<p> an internal copy of the pattern name which must not be freed.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-pattern-select-button-set-pattern"></a><h3>gimp_pattern_select_button_set_pattern ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_pattern_select_button_set_pattern
                               (<em class="parameter"><code><a class="link" href="GimpPatternSelectButton.html" title="GimpPatternSelectButton"><span class="type">GimpPatternSelectButton</span></a> *button</code></em>,
                                <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *pattern_name</code></em>);</pre>
<p>Sets the current pattern for the pattern select button.</p>
<div class="refsect3">
<a name="gimp-pattern-select-button-set-pattern.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpPatternSelectButton.html" title="GimpPatternSelectButton"><span class="type">GimpPatternSelectButton</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>pattern_name</p></td>
<td class="parameter_description"><p>Pattern name to set; <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> means no change.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpPatternSelectButton-struct"></a><h3>GimpPatternSelectButton</h3>
<pre class="programlisting">typedef struct _GimpPatternSelectButton GimpPatternSelectButton;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpPatternSelectButton--pattern-name"></a><h3>The <code class="literal">“pattern-name”</code> property</h3>
<pre class="programlisting">  “pattern-name”             <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>The name of the currently selected pattern.</p>
<p>Flags: Read / Write</p>
<p>Default value: NULL</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpPatternSelectButton--title"></a><h3>The <code class="literal">“title”</code> property</h3>
<pre class="programlisting">  “title”                    <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>The title to be used for the pattern selection popup dialog.</p>
<p>Flags: Read / Write / Construct Only</p>
<p>Default value: "Pattern Selection"</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpPatternSelectButton.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpPatternSelectButton-pattern-set"></a><h3>The <code class="literal">“pattern-set”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpPatternSelectButton.html" title="GimpPatternSelectButton"><span class="type">GimpPatternSelectButton</span></a> *widget,
               <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a>                   *pattern_name,
               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a>                     width,
               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a>                     height,
               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a>                     bpp,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>                 mask_data,
               <a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a>                 dialog_closing,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>                 user_data)</pre>
<p>The ::pattern-set signal is emitted when the user selects a pattern.</p>
<div class="refsect3">
<a name="GimpPatternSelectButton-pattern-set.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>widget</p></td>
<td class="parameter_description"><p>the object which received the signal.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>pattern_name</p></td>
<td class="parameter_description"><p>the name of the currently selected pattern.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>width</p></td>
<td class="parameter_description"><p>width of the pattern</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>height</p></td>
<td class="parameter_description"><p>height of the pattern</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>bpp</p></td>
<td class="parameter_description"><p>bpp of the pattern</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>mask_data</p></td>
<td class="parameter_description"><p>pattern mask data</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>dialog_closing</p></td>
<td class="parameter_description"><p>whether the dialog was closed or not.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>